## pyranges 0.0.85+ds

=== debian/changelog ===
pyranges (0.0.85+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove .hypothesis dir in examples

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 10:56:13 +0100

pyranges (0.0.79+ds-1) unstable; urgency=medium

  [ Steffen Moeller, Nilesh Patra ]
  * Initial release (Closes: #963015)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 21 Jun 2020 20:13:10 +0530
