=== debian/control ===
Source: pyranges
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <npatra974@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-ncls <!nocheck>,
               python3-pyrle <!nocheck>,
               python3-pytest <!nocheck>,
               python3-sorted-nearest,
               python3-hypothesis,
               bedtools,
               samtools
Standards-Version: 4.5.0
Homepage: https://github.com/biocore-ntnu/pyranges
Vcs-Browser: https://salsa.debian.org/med-team/pyranges
Vcs-Git: https://salsa.debian.org/med-team/pyranges.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pyranges
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-pyranges-doc
Description: 2D representation of genomic intervals and their annotations
 A PyRanges object must have the columns Chromosome, Start and
 End. These describe the genomic position and function as implicit row
 labels. A Strand column is optional and adds strand information to the
 intervals. Any other columns are allowed and are considered metadata.
 .
 The structure can be filled from .bed, .bam or .gff files, also from
 tabular or textual representations.
