## pyranges 0.0.111%2Bds

=== debian/changelog ===
pyranges (0.0.111+ds-8) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * d/rules: fix build ignoring requested number of parallel processes.
    (Closes: #1082494)

  [ Étienne Mollier ]
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Sep 2024 10:53:29 +0200

pyranges (0.0.111+ds-7) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix for Pandas 2.0
    Closes: #1044064

  [ Étienne Mollier ]
  * fix-test_unary.patch: new.
    This patch fixes a remaining test failure affecting dtype conversion.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Feb 2024 15:39:01 +0100

pyranges (0.0.111+ds-6) unstable; urgency=medium

  * Team upload.
  * No runtime dependency from cython
    Closes: #1058012
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 21:36:05 +0100

pyranges (0.0.111+ds-5) unstable; urgency=medium

  * healthcheck-all.patch: new: fix test failure.
    The test failure seems to be caused by a call to an obsoleted method
    in a decorator describing the properties of the affected test.
    (Closes: #1042046)
  * d/control: add myself to uploaders.
  * d/rules: use execute_after_dh_* targets in place of overrides.
  * d/clean: remove remnants of *.bam* test data.

 -- Étienne Mollier <emollier@debian.org>  Wed, 23 Aug 2023 19:54:31 +0200

pyranges (0.0.111+ds-4) unstable; urgency=medium

  * Team upload.
  * Adapt to numpy 1.24
    Closes: #1028852
  * Standards-Version: 4.6.2 (routine-update)
  * No tab in license text (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2023 16:32:08 +0100

pyranges (0.0.111+ds-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: ##1022476)
  * Remove myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Mon, 24 Oct 2022 11:42:28 +0530

pyranges (0.0.111+ds-2) unstable; urgency=medium

  * Team upload.
  * d/control: tests depend on python3-pytest-xdist.
  * d/rules: enable parallel test runs for substantial runtime improvement.
    This is made possible by the new test dependency.  The objective is to
    help investigations related to pytest 7 regression in bug #1013703.
  * d/control: declare compliance to standards version 4.6.1.

 -- Étienne Mollier <emollier@debian.org>  Mon, 04 Jul 2022 22:36:50 +0200

pyranges (0.0.111+ds-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - yet another fix

  [ Nilesh Patra ]
  * New upstream version 0.0.111+ds
  * Run cme
  * Add patch to fix tests

 -- Nilesh Patra <nilesh@debian.org>  Wed, 03 Nov 2021 07:06:31 +0000
