=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pyranges
export PYBUILD_BEFORE_TEST=\
	mkdir -pv {build_dir}/tests {build_dir}/pyranges \
	&& cp -av {dir}/tests/*.bed {build_dir}/tests \
	&& cp -av {dir}/tests/test_data {build_dir}/tests \
	&& cp -av {dir}/tests/data {build_dir}/tests \
	&& cp -av {dir}/pyranges/example_data {build_dir}/pyranges

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
       NUMJOBS = $(shell nproc)
endif
export PYBUILD_TEST_ARGS=-v -n $(NUMJOBS)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	echo 'Generating corresponding files ...'
	cat debian/missing-sources/test_sorted.sam| samtools view -Sb - > tests/test_data/test_sorted.bam
	cat debian/missing-sources/control.sam| samtools view -Sb - > pyranges/example_data/control.bam
	samtools index tests/test_data/test_sorted.bam tests/test_data/test_sorted.bam.bai
	samtools index pyranges/example_data/control.bam pyranges/example_data/control.bam.bai

execute_after_dh_install:
	find debian/ -name *.bam* | xargs rm -rf
	find debian/ -name 'hi' | xargs rm -rf
	find debian/ -name '.hypothesis' | xargs rm -rf
