=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,7 @@
 	&& cp -av {dir}/tests/test_data {build_dir}/tests \
 	&& cp -av {dir}/tests/data {build_dir}/tests \
 	&& cp -av {dir}/pyranges/example_data {build_dir}/pyranges
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-else
-       NUMJOBS = $(shell nproc)
-endif
-export PYBUILD_TEST_ARGS=-v -n $(NUMJOBS)
+export PYBUILD_TEST_ARGS=-v -n $(shell nproc)
 
 %:
 	dh $@ --buildsystem=pybuild
