=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pyranges-$1.tar.gz%,repacksuffix=+ds,dversionmangle=auto" \
   https://github.com/biocore-ntnu/pyranges/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
